Skip to content
Справочник APIConsumerConsumer.device sessions

Inspect the current device session

Эта страница пока доступна только на английском языке. Руководства переведены; автоматически генерируемый справочник API публикуется на английском.

GET
/consumer/v1/auth/device/sessions/current

Returns the device-session identity encoded in the current device bearer token after verifying it still belongs to the selected project.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Header Parameters

X-Project-Id*string

UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/consumer/v1/auth/device/sessions/current" \  -H "X-Project-Id: 11111111-1111-1111-1111-111111111111"
{  "consumer_account_id": "22222222-2222-2222-2222-222222222222",  "device_id": "55555555-5555-5555-5555-555555555555",  "session_id": "66666666-6666-6666-6666-666666666666",  "user_id": "33333333-3333-3333-3333-333333333333"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}
{  "detail": "Pool slug must be unique.",  "instance": "urn:forestvpn:trace:a1b2c3d4",  "title": "Validation Error",  "type": "https://fvpn.net/errors/validation"}